### experimental::as_single_t::executor_with_default

Adapts an executor to add the `as_single_t` completion token as the default.

    template<
        typename InnerExecutor>
    struct executor_with_default

##### Types

Name | Description
--- | ---
default_completion_token_type | Specify as_single_t as the default completion token type.

##### Member Functions

Name | Description
--- | ---
executor_with_default [constructor] | Construct the adapted executor from the inner executor type. — Convert the specified executor to the inner executor type, then use that to construct the adapted executor.

##### Requirements

Header: `asio/experimental/as_single.hpp`

Convenience header: None